CiviCRM 中文版安裝說明

安裝前確認:

CiviCRM 是一套「支持者管理系統」,並依附在 DrupalJoomlaWordPress 等 內容管理系統(CMS) 之下的一個模組系統。

本篇安裝說明文章,只針對 Drupal 系統,若需要在其他 CMS 使用 CiviCRM 中文版,請先使用 CiviCRM 英文版本進行安裝,再匯入中文化檔案。安裝及系統需求說明如下:

安裝 CiviCRM-3.3 中文版前,請先安裝 Drupal 系統,您可以參考 Drupal 安裝手冊 或是 Drupal 安裝流程 (For Linux)。將 Drupal 安裝完成後,再進行以下步驟,即可完成 CiviCRM 中文版安裝。

系統需求

  • Drupal 6.x : CiviCRM-3.3-1.1 中文版,目前可支援 Drupal 6 版本。
  • PHP 5.2.1+ : 可使用 PHP 5.2.1 以上或是 PHP 5.3,但無法兼容在 PHP4 的伺服器。
  • Drupal Transliteration 模組 (for 中文版)
  • MySQL 5.1.x+ 且須支援 InnoDB : 可兼容於 一般 MySQL 發行版本,必須支援觸發器(Trigger),而 Trigger 使用再記錄及多國語系的功能色特中。如果使用二進制日誌功能,在MySQL 5.1 中的 SUPER 權限則是必須的。
  • PCRE (須支援 Unicode 屬性)。

 

 

安裝流程說明:

1. 確認資料庫為 InnoDB 後,先將 CiviCRM-3.3 中文版檔案進行解壓縮,將解壓縮後的資料夾放置 Drupal 目錄內的 sites/all/modules 位置,再到模組安裝頁面將 CiviCRM 模組打開  (http://yoursite.com/admin/build/modules )

   

2.  模組安裝完成後,可以看到安裝成功的訊息,並點選左邊的導覽區塊的 CiviCRM 連結 
     (http://yoursite.com/civicrm/dashboard)

 

3. 點擊連結後,可以看到 CiviCRM 的管理頁面(英文介面)

 

4. 為了將 CiviCRM 中文化,請點選管理選單的 Administer > Configure > Configuration Checklist (http://yoursite.com/civicrm/admin/configtask&reset=1)

 

5. 點選 Localization 連結來選擇您的語系

 

 

6. 您可以在 Default Language 欄位中,選擇(1) Chinese(Taiwan) 
    或是勾選 Inherit CMS Language 欄位,以繼承 Drupal 預設的語系

 

7. 儲存之後,可以看到管理介面已被更改為中文語系 (鼓掌) surprise

 

 

回應

5 comments posted
有關安裝路徑的問題

請問若我放置於CiviCRM的目錄如果不是網站根目錄,而是自己設定子資料夾下的目錄(EX:http://yoursite.com/drupal/civicrm/....),前網址內"Drupal"為我安裝Drupal的目錄,但是這樣似乎會造成CiviCRM無法讀取原有路徑的問題(CiviCRM選單點選連不到網頁,選單上的圖亦無法顯示),也就是如果我要點選上述第4步驟,必須修改網址(增加Drupal目錄)進入『http://yoursite.com/civicrm/admin/configtask&reset=1』,且至第6步時,無法儲存設定內容。

不知道是否可以修正哪一個檔案可解決此問題?或是有其他解決方法?

感謝回覆。

Posted by twwatch on 四, 09/06/2012 - 15:05
有關支援版本

請問支援Drupal 6.x
是指Drupal 6.0之後~7.0以前的版本都可相容嗎?
或是有特定支援某幾個版本?

感謝回覆。

Posted by twwatch on 四, 08/23/2012 - 17:52
支援 Drupal 6.x 就是僅限於 Drupal

支援 Drupal 6.x 就是僅限於 Drupal 6.0 之後,並不包含 Drupal 7.x
若您需要在 Drupal 7.x 安裝的話,請改用 CiviCRM 4.x

Posted by gloomcheng on 五, 08/24/2012 - 22:40
Re: 支援 Drupal 6.x 就是僅限於 Drupal

你好安裝drupal 6 時,我無法點選啟用鍵
請問是哪裡出問題?

Posted by john0968 on 一, 11/10/2014 - 19:37
Re: 支援 Drupal 6.x 就是僅限於 Drupal

請盡量描述一下你的操作流程,以及是否有看到任何錯誤訊息
光是這些資訊其他人應該無法回答你的問題吧

Posted by gloomcheng on 二, 11/11/2014 - 00:59